Bug 19398 - 2.2.16-4.lfs rpm didn't get me 4GB file sizes, still 2GB
2.2.16-4.lfs rpm didn't get me 4GB file sizes, still 2GB
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-19 15:55 EDT by Jim LaGore
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 21:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim LaGore 2000-10-19 15:55:06 EDT
I have loaded the 2.2.16-4.lfs rpm and it boots up using the kernel fine. I still can't use file sizes bigger than 2GB. I am using 
Solaris 2.7 tar (large file size capable in which I have created 6 GB tar files on Solaris 2.7) to make a 4GB tar file writing to my 
Redhat linux 6.2 system via nfs mount. The tar file stops at 2,147,481,600 bytes just like it did before the 2.2.16-4.lfs rpm was added.
I have scsi disks and did the mkinitrd command.

Why is there such a limitation in file size for Redhat? I would like at the very least to use 4GB files sizes and I would prefer 8 GB file
sizes if I can. How do I do this? I would like to use my Linux computer for a backup server in which I want to write dump or tar files to
my Linux system. I know I can make smaller dump or tar files, but then I have to check more closely on the 30 servers that I am backing
up that no one file size is bigger than 2GB. It would be easier to have the bigger file size capability.

Why didn't the 2.2.16-4.lfs rpm work?

Thank you for your help.
Jim LaGore
jim@webclients.net
717-441-3300 ext 26
Comment 1 Alan Cox 2002-12-14 21:46:24 EST
Old Linux was NFSv2 only which has a 2Gb limit

Note You need to log in before you can comment on or make changes to this bug.